Webhooks
Add a webhook
POST
/webhook/webhooksAdds a new webhook on the account.
Delete a webhook
DELETE
/webhook/webhooks/{webhookOid}Delete a webhook on the UltraCart account.
Delete a webhook by URL
DELETE
/webhook/webhooksDelete a webhook based upon the URL on the webhook_url matching an existing webhook.
Resend events to the webhook endpoint.
POST
/webhook/webhooks/{webhookOid}/reflow/{eventName}This method will resend events to the webhook endpoint.
Retrieve an individual log
GET
/webhook/webhooks/{webhookOid}/logs/{requestId}Retrieves an individual log for a webhook given the webhook oid the request id.
Retrieve the log summaries
GET
/webhook/webhooks/{webhookOid}/logsRetrieves the log summary information for a given webhook.
Retrieve webhook event categories
GET
/webhook/webhook_event_categoriesRetrieves the available webhook event categories and events with backend-owned metadata (OIDs, names, descriptions, available expansions, flags) independent of whether any webhooks are saved.
Retrieve webhooks
GET
/webhook/webhooksRetrieves the webhooks associated with this application.
Update a webhook
PUT
/webhook/webhooks/{webhookOid}Update a webhook on the account
Was this page helpful?